For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

BRepOffsetAPI_MakeOffset problem

A.Akbari's picture
Forums: 

Hi All,
Whats wrong with the following code?
First I make a normal projection of 3D closed wire at z=0 by BRepOffsetAPI_NormalProjection, then I want to make an offset from the created wire.
It works for just some shapes! and by increasing the offdist value, an unexpected error takes place. Note that I am sure it has the offset shape at corresponding offdist value.

Standard_Real aDist = offdist;
BRepOffsetAPI_MakeOffset aOffAlgo (aSecWire, GeomAbs_Arc);
aOffAlgo.Perform (aDist);
if (aOffAlgo.IsDone())
TopoDS_Shape aOffShape = aOffAlgo.Shape();